LOGIN(1)

NOME
login - apre una sessione sul sistema

SINTASSI
login [-p] [nome_utente] [ENV=VAR ...]
login [-p] [-h host] [-f nome_utente]
login [-p] -r host

DESCRIZIONE
login viene utilizzato per aprire una sessione sul sistema. Normalmente viene invocato automaticamente rispondendo al prompt login: del terminale. login può essere trattato in maniera speciale dalla shell e non può essere invocato come sottoprocesso. Normalmente login è trattato dalla shell come exec login che termina la shell utente attuale. L'esecuzione di login da una shell che non sia quella di login produce un messaggio d'errore.

All'utente viene quindi chiesta la password, se necessario. Durante questa operazione l'eco sul terminale è disabilitato per non rivelare la password. Solo un basso numero di tentativi falliti è permesso prima che login termini e che la connessione sia rallentata.

Se la scadenza delle password è abilitata per il proprio account, prima di proseguire ci può essere la richiesta di una nuova password. Il programma chiederà prima la vecchia password e poi la nuova per poter continuare. Per maggiori informazioni si faccia riferimento a passwd(1).

Dopo aver completato correttamente l'accesso, vengono mostrati eventuali messaggi di sistema e si viene informati della presenza di nuova posta. Si può evitare di visualizzare i messaggi in /etc/motd creando un file vuoto chiamato .hushlogin nella propria directory di login. Il messaggio relativo alla presenza di posta è "C'è nuova posta.", "C'è la solita posta." o "Nessun messaggio di posta." a seconda dello stato della propria casella di posta.

I propri ID di utente e gruppo vengono poi impostati in base ai valori definiti nel file /etc/passwd. I valori di $HOME, $SHELL, $PATH, $LOGNAME e $MAIL sono impostati in base ai corrispettivi valori nel file delle password. I valori per ulimit, umask e nice possono essere impostati in base al campo GECOS.

In alcune installazioni la variabile d'ambiente $TERM può essere impostata in base al tipo di terminale della propria connessione, come specificato in /etc/ttytype.

Può anche essere eseguito uno script di inizializzazione per il proprio interprete dei comandi. Fare riferimento alla relativa pagina di manuale per maggiori informazioni su questa funzione.

Un accesso a un sottosistema è indicato dalla presenza del carattere "*" all'inizio della shell di login. La home directory impostata diventa la root di un nuovo file system al quale l'utente accede.

OPZIONI

-f  Non effettua l'autenticazione, l'utente è già autenticato

-h  Nome dell'host remoto per questo login.

-p  Non modifica l'ambiente.

-r  Attiva il protocollo autologin di rlogin.

Le opzioni -r, -h e -f possono essere utilizzate solo quando login viene invocato da root.

AVVISI/CAVEAT
Questa versione di login ha molte opzioni di compilazione; solo una parte di esse potrebbe essere in uso su un determinato sistema.

La posizione dei file è soggetta a differenze in base alla configurazione del sistema.

FILE
/var/run/utmp    - elenco delle sessioni di login attive
/var/log/wtmp    - elenco delle sessioni di login precedenti
/etc/passwd    - informazioni sugli account degli utenti
/etc/shadow    - informazioni sicure sugli account degli utenti
/etc/motd    - file dei messaggi di sistema
/etc/nologin    - inibisce l'accesso al sistema a tutti gli utenti tranne
root
/etc/ttytype    - elenco di tipi di terminale
$HOME/.hushlogin    - impedisce che vengano mostrati i messaggi di sistema

VEDERE ANCHE
mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), getty(8)

AUTORE
Julianne Frances Haugh <jockgrrl@ix.netcom.com>

TRADUZIONE
Giuseppe Sacco <eppesuig@debian.org>, 2005
Danilo Piazzalunga <danilopiazza@libero.it>, 2005